.TH fetch() "" "" "DBM Function (libgdbm)"
.PC "Fetch a record from a DBM data base"
.B "#include <dbm.h>"
\fBdatum fetch (\fIkey\^\fB)\fR
\fBdatum \fIkey\^\fB;\fR
.PP
Function
.B fetch()
retrieves the record with
.I key
from the currently opened DBM data base.
The data base must first have opened by a call to function
.BR dbminit() .
.PP
.B fetch()
returns a pointer to the retrieved record.
If no record is available, or if an error occurred, field
.B dptr
within the returned record is initialized to NULL.
.SH "See Also"
.XR "dbm.h," dbm.h
.XR "dbminit()," dbminit
.XR "libgdbm" libgdbm
.SH Notes
For a statement of copyright and permissions on this routine, see the
Lexicon entry for
.BR libgdbm .
